import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MaskedTextBoxModule, NumericTextBoxModule } from "@syncfusion/ej2-angular-inputs";
import { CheckBoxModule } from '@syncfusion/ej2-angular-buttons';
import { ComboBoxModule, DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { TabModule } from '@syncfusion/ej2-angular-navigations';

const SyncfusionModule = [
	CheckBoxModule,
	ComboBoxModule,
	TabModule,
	MaskedTextBoxModule,
	NumericTextBoxModule,
	DropDownListModule,
];

@NgModule({
	declarations: [
		AppComponent
	],
	imports: [
		BrowserModule, ...SyncfusionModule, FormsModule, ReactiveFormsModule,
	],
	providers: [],
	bootstrap: [AppComponent]
})
export class AppModule { }
